<template>
  <el-row :gutter="20">
    <el-col :span="12">
      <el-form-item label="Название" prop="">
        <el-input v-model="this.personForm.documents[0].name"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Тип документа" prop="">
        <el-select v-model="this.personForm.documents[0].type_id" placeholder="Тип документа">
          <el-option
              v-for="item in this.dictionaries.document_type"
              :key="item.id"
              :label="item.name"
              :value="item.id"
          />
        </el-select>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Номер документа" prop="">
        <el-input v-model="this.personForm.documents[0].numb"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Кем выдан" prop="">
        <el-input v-model="this.personForm.documents[0].kem_vudan"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Код подразделения" prop="">
        <el-input v-model="this.personForm.documents[0].kem_vudan_cod"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Страна выдачи" prop="">
        <el-select v-model="this.personForm.documents[0].strana_vudachi_id" placeholder="Страна выдачи">
          <el-option
              v-for="item in this.dictionaries.country"
              :key="item.id"
              :label="item.name"
              :value="item.id"
          />
        </el-select>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Дата документа" prop="">
        <el-date-picker
            v-model="this.personForm.documents[0].date"
            type="date"
            placeholder="Дата документа"
            format="YYYY/MM/DD"
            value-format="YYYY-MM-DD"
        />
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Дата начала документа" prop="">
        <el-date-picker
            v-model="this.personForm.documents[0].start_date"
            type="date"
            placeholder="Дата начала документа"
            format="YYYY/MM/DD"
            value-format="YYYY-MM-DD"
        />
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Дата скана" prop="">
        <el-date-picker
            v-model="this.personForm.documents[0].scan_date"
            type="date"
            placeholder="Дата скана"
            format="YYYY/MM/DD"
            value-format="YYYY-MM-DD"
        />
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Дата истечения" prop="">
        <el-date-picker
            v-model="this.personForm.documents[0].end_date"
            type="date"
            placeholder="Дата истечения"
            format="YYYY/MM/DD"
            value-format="YYYY-MM-DD"
        />
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Комментарий" prop="">
        <el-input v-model="this.personForm.documents[0].comment"/>
      </el-form-item>
    </el-col>

  </el-row>
</template>

<script>
import moment from "moment";
export default {
  data:()=>({
    loading: false,
  }),
  methods:{
    dateFormat(data){
      return moment(data).format('DD.MM.YYYY')
    }
  },
  computed:{
    personForm() {
      return this.$store.getters.get_person_form;
    },
    dictionaries() {
      return this.$store.getters.get_dictionaries;
    },
    options() {
      return this.$store.getters.get_options;
    }
  }
}
</script>